Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.auth
Class Resources

    java.lang.Object
      org.apache.cassandra.auth.Resources

    public final class Resources

extends java.lang.Object

Constants related to Cassandra's resource hierarchy. A resource in Cassandra is a List containing both Strings and byte[]s.

Field Summary
`static java.lang.String` | `KEYSPACES`
`static java.lang.String` | `ROOT`

Constructor Summary
`Resources()`

Method Summary
`static java.lang.String` | `toString(java.util.List<java.lang.Object> resource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT

    public static final java.lang.String ROOT

See Also:
  Constant Field Values

### KEYSPACES

    public static final java.lang.String KEYSPACES

See Also:
  Constant Field Values

Constructor Detail

### Resources

    public Resources()

Method Detail

### toString

    public static java.lang.String toString(java.util.List<java.lang.Object> resource)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation